import * as React from 'react';
import { Button } from '@blueprintjs/core';
import { ArrayItem } from './ArrayItem';
export var ArrayFieldTemplate = function (_a) {
    var className = _a.className, idSchema = _a.idSchema, uiSchema = _a.uiSchema, schema = _a.schema, required = _a.required, title = _a.title, TitleField = _a.TitleField, DescriptionField = _a.DescriptionField, items = _a.items, canAdd = _a.canAdd, disabled = _a.disabled, readonly = _a.readonly, onAddClick = _a.onAddClick;
    return (React.createElement("div", { className: "rjsf-bp3-array " + className, id: idSchema.$id },
        React.createElement(TitleField, { id: idSchema.$id + ".__title", title: title, required: required }),
        (uiSchema['ui:description'] || schema.description) && (React.createElement(DescriptionField, { id: idSchema.$id + ".__description", description: uiSchema['ui:description'] || schema.description })),
        React.createElement("div", { className: 'rjsf-bp3-array-items' }, items && items.map(ArrayItem)),
        canAdd && (React.createElement("div", { className: 'rjsf-bp3-array-add' },
            React.createElement(Button, { icon: 'plus', intent: 'primary', tabIndex: -1, disabled: disabled || readonly, onClick: onAddClick })))));
};
//# sourceMappingURL=ArrayFieldTemplate.js.map