import * as React from 'react';
import BaseForm, { FormProps as BaseFormProps } from 'react-jsonschema-form';
import { FieldTemplate } from './FieldTemplate';
declare type Props<T> = BaseFormProps<T> & Partial<{
    forwardedRef: React.Ref<BaseForm<T>>;
}>;
export declare class _Form<T = {}> extends React.Component<Props<T>> {
    static defaultProps: {
        ArrayFieldTemplate: React.FunctionComponent<import("react-jsonschema-form").ArrayFieldTemplateProps>;
        ErrorList: React.FunctionComponent<import("react-jsonschema-form").ErrorListProps>;
        FieldTemplate: typeof FieldTemplate;
        ObjectFieldTemplate: React.FunctionComponent<import("react-jsonschema-form").ObjectFieldTemplateProps>;
        widgets: {};
        fields: {};
        noHtml5Validate: boolean;
    };
    render(): JSX.Element;
}
export declare const Form: React.ForwardRefExoticComponent<BaseFormProps<any> & React.RefAttributes<BaseForm<any>>>;
export {};
