"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var core_1 = require("@blueprintjs/core");
var react_jsonschema_form_1 = tslib_1.__importDefault(require("react-jsonschema-form"));
var ArrayFieldTemplate_1 = require("./ArrayFieldTemplate");
var ErrorList_1 = require("./ErrorList");
var FieldTemplate_1 = require("./FieldTemplate");
var ObjectFieldTemplate_1 = require("./ObjectFieldTemplate");
var customWidgets = tslib_1.__importStar(require("./widgets"));
var customFields = tslib_1.__importStar(require("./fields"));
var _Form = /** @class */ (function (_super) {
    tslib_1.__extends(_Form, _super);
    function _Form() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    _Form.prototype.render = function () {
        var _a = this.props, children = _a.children, fields = _a.fields, widgets = _a.widgets, forwardedRef = _a.forwardedRef, props = tslib_1.__rest(_a, ["children", "fields", "widgets", "forwardedRef"]);
        return (React.createElement(react_jsonschema_form_1.default, tslib_1.__assign({}, props, { widgets: tslib_1.__assign({}, customWidgets, widgets), fields: tslib_1.__assign({}, customFields, fields), ref: forwardedRef }), children || (React.createElement(core_1.Button, { type: 'submit', text: 'Submit', intent: 'primary', disabled: props.disabled }))));
    };
    _Form.defaultProps = {
        ArrayFieldTemplate: ArrayFieldTemplate_1.ArrayFieldTemplate,
        ErrorList: ErrorList_1.ErrorList,
        FieldTemplate: FieldTemplate_1.FieldTemplate,
        ObjectFieldTemplate: ObjectFieldTemplate_1.ObjectFieldTemplate,
        widgets: {},
        fields: {},
        noHtml5Validate: true
    };
    return _Form;
}(React.Component));
exports._Form = _Form;
exports.Form = React.forwardRef(function (props, ref) { return (React.createElement(_Form, tslib_1.__assign({}, props, { forwardedRef: ref }))); });
//# sourceMappingURL=Form.js.map