"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var core_1 = require("@blueprintjs/core");
var utils_1 = require("../utils");
var RadioWidget = /** @class */ (function (_super) {
    tslib_1.__extends(RadioWidget, _super);
    function RadioWidget() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._onChange = function (event) {
            var _a = _this.props, schema = _a.schema, onChange = _a.onChange;
            var value = utils_1.processValue(schema, event.target.value);
            onChange(value);
        };
        return _this;
    }
    RadioWidget.prototype.render = function () {
        var _a = this.props, autofocus = _a.autofocus, disabled = _a.disabled, id = _a.id, options = _a.options, value = _a.value;
        return (React.createElement(core_1.RadioGroup, { name: id, onChange: this._onChange, selectedValue: value, disabled: disabled, inline: options.inline }, options.enumOptions.map(function (_a, index) {
            var value = _a.value, label = _a.label;
            return (React.createElement(core_1.Radio, { key: index, label: label, value: value, autoFocus: autofocus && index === 0 }));
        })));
    };
    return RadioWidget;
}(React.Component));
exports.RadioWidget = RadioWidget;
//# sourceMappingURL=RadioWidget.js.map