import * as React from 'react';
import { INumericInputProps } from '@blueprintjs/core';
import { WidgetProps } from 'react-jsonschema-form';
declare type Props = WidgetProps & {
    registry: any;
    rawErrors: any;
    inputProps: any;
    type: any;
    options: Partial<{
        fill: boolean;
    }>;
};
export declare class BaseInput extends React.Component<Props> {
    render(): JSX.Element;
    protected _onChange: React.ChangeEventHandler<HTMLInputElement>;
    protected _onBlur: React.EventHandler<any>;
    protected _onFocus: React.EventHandler<any>;
    protected _onValueChange: INumericInputProps['onValueChange'];
}
export {};
