import * as React from 'react';
import { ICheckboxProps } from '@blueprintjs/core';
import { WidgetProps } from 'react-jsonschema-form';
declare type SupportedOptions = 'inline';
declare type Option = {
    value: string;
    label: string;
};
declare type Props = WidgetProps & {
    options: Pick<ICheckboxProps, SupportedOptions> & {
        enumOptions: Option[];
        enumDisabled?: string[];
    };
};
export declare class CheckboxesWidget extends React.Component<Props> {
    render(): JSX.Element[];
    protected _onChange: (optionValue: string) => (event: React.ChangeEvent<HTMLInputElement>) => void;
}
export {};
