import * as React from 'react';
import { IRadioGroupProps } from '@blueprintjs/core';
import { WidgetProps } from 'react-jsonschema-form';
declare type SupportedOptions = 'inline';
declare type Props = WidgetProps & {
    options: Pick<IRadioGroupProps, SupportedOptions> & {
        enumOptions: Array<{
            value: string;
            label: string;
        }>;
        enumDisabled?: string[];
    };
};
export declare class RadioWidget extends React.Component<Props> {
    render(): JSX.Element;
    protected _onChange: React.FormEventHandler<HTMLInputElement>;
}
export {};
