import * as tslib_1 from "tslib";
import * as React from 'react';
import { Slider } from '@blueprintjs/core';
export var RangeWidget = function (_a) {
    var schema = _a.schema, value = _a.value, options = _a.options, inputProps = tslib_1.__rest(_a, ["schema", "value", "options"]);
    return React.createElement(Slider, tslib_1.__assign({ value: value === null ? '' : value, min: schema.minimum ? schema.minimum : undefined, max: schema.maximum ? schema.maximum : undefined, stepSize: schema.multipleOf ? schema.multipleOf : undefined, labelStepSize: labelStepSize({ schema: schema, options: options }), vertical: options.vertical }, inputProps));
};
var labelStepSize = function (_a) {
    var options = _a.options, schema = _a.schema;
    if (options.labelStepSize) {
        return options.labelStepSize;
    }
    if (schema.multipleOf) {
        return schema.multipleOf;
    }
    if (schema.maximum && schema.minimum) {
        return schema.maximum - schema.minimum;
    }
    if (schema.maximum) {
        return schema.maximum;
    }
};
//# sourceMappingURL=RangeWidget.js.map